Skip to main content
GET
Get a workspace role
A company-wide role and rate used to build a rate card. Workspace roles can be added or linked to client-specific rate cards.

Authorizations

Authorization
string
header
required

An API key created in Settings > API Keys. Each key is either Read-Only or Full Access, chosen when the key is created. A Read-Only key can only make GET requests; POST, PATCH, and DELETE requests made with it return a 403 with the message This API key is read-only.

Path Parameters

id
string
required

The workspace role uuid.

Response

200

id
string

The unique identifier for the object.

name
string

The name of the workspace role.

isActive
boolean

Whether the workspace role is active.

isBillable
boolean

Whether the workspace role is billable.

rate
number | null

The billing rate for the workspace role. null when isBillable is false.

currency
string | null

The 3-letter currency code for the workspace role. null when isBillable is false.

createdAt
string<date-time>

The timestamp when the object was created.

discipline
object | null

The discipline associated with this workspace role, if any.

practice
object | null

The practice associated with this workspace role, if any.

businessUnit
object | null

The business unit associated with this workspace role, if any.

location
object | null

The location associated with this workspace role, if any.